package com.happy.service.impl;

import com.happy.Model.Workflow;
import com.happy.dao.HouseNumberDao;
import com.happy.dao.WorkflowDao;
import com.happy.service.WorkflowService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("WorkflowService")
public class WorkflowImplService implements WorkflowService {
    @Resource
    public WorkflowDao workflowDao;


    @Override
    public int insert(Workflow workflow) {
        return workflowDao.insert(workflow);
    }

    @Override
    public Workflow queryById(String id) {
        return workflowDao.queryById(id);
    }

    @Override
    public int update(Workflow workflow) {
        return workflowDao.update(workflow);
    }

    @Override
    public List<Workflow> queryList(String sqlx) {
        return workflowDao.queryList(sqlx);
    }
}
